oracle.dbtools.plugin.api.logging

## Interface Log

-     public interface Log

  Provides a slightly easier to use API compared to the JDK `Logger` API. Use @`Inject` annotation to inject a `Log` instance into a service. This API provides consistent method overrides for all standard `Logger` `Level`s. Two different methods are provided for each level, one taking a `String` message, and the other taking a `Throwable`. Note use of this API is optional, plugins can depend on a standard JDK `Logger` instance if they prefer.
  Author:
    cdivilly
  See Also:
    `AvailableDependencies.LOG`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Level` | `FINE`
    `static Level` | `FINER`
    `static Level` | `FINEST`
    `static Level` | `INFO`
    `static Level` | `SEVERE`
    `static Level` | `WARNING`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fine(String msg)` Log a message at the `FINE` level
    `void` | `fine(Throwable t)` Log a `Throwable` at the `FINE` level
    `void` | `finer(String msg)` Log a message at the `FINER` level
    `void` | `finer(Throwable t)` Log a `Throwable` at the `FINE` level
    `void` | `finest(String msg)` Log a message at the `FINEST` level
    `void` | `finest(Throwable t)` Log a `Throwable` at the `FINE` level
    `void` | `info(String msg)` Log a message at the `INFO` level
    `void` | `info(Throwable t)` Log a `Throwable` at the `FINE` level
    `boolean` | `isLoggable(Level level)` Determines if the specified log `Level` is enabled for this logger
    `void` | `severe(String msg)` Log a message at the `SEVERE` level
    `void` | `severe(Throwable t)` Log a `Throwable` at the `FINE` level
    `void` | `warning(String msg)` Log a message at the `WARNING` level
    `void` | `warning(Throwable t)` Log a `Throwable` at the `FINE` level

- - ### Field Detail

    - #### FINE

          static final Level FINE

      See Also:
        `Level.FINE`

    - #### FINER

          static final Level FINER

      See Also:
        `Level.FINER`

    - #### FINEST

          static final Level FINEST

      See Also:
        `Level.FINEST`

    - #### INFO

          static final Level INFO

      See Also:
        `Level.INFO`

    - #### SEVERE

          static final Level SEVERE

      See Also:
        `Level.SEVERE`

    - #### WARNING

          static final Level WARNING

      See Also:
        `Level.WARNING`

  - ### Method Detail

    - #### fine

          void fine(String msg)

      Log a message at the `FINE` level
      Parameters:
        `msg` - The message to log

    - #### fine

          void fine(Throwable t)

      Log a `Throwable` at the `FINE` level
      Parameters:
        `t` - The exception to log

    - #### finer

          void finer(String msg)

      Log a message at the `FINER` level
      Parameters:
        `msg` - The message to log

    - #### finer

          void finer(Throwable t)

      Log a `Throwable` at the `FINE` level
      Parameters:
        `t` - The exception to log

    - #### finest

          void finest(String msg)

      Log a message at the `FINEST` level
      Parameters:
        `msg` - The message to log

    - #### finest

          void finest(Throwable t)

      Log a `Throwable` at the `FINE` level
      Parameters:
        `t` - The exception to log

    - #### info

          void info(String msg)

      Log a message at the `INFO` level
      Parameters:
        `msg` - The message to log

    - #### info

          void info(Throwable t)

      Log a `Throwable` at the `FINE` level
      Parameters:
        `t` - The exception to log

    - #### isLoggable

          boolean isLoggable(Level level)

      Determines if the specified log `Level` is enabled for this logger
      Parameters:
        `level` - The logging level to test
      Returns:
        true if the level is enabled, false otherwise

    - #### severe

          void severe(String msg)

      Log a message at the `SEVERE` level
      Parameters:
        `msg` - The message to log

    - #### severe

          void severe(Throwable t)

      Log a `Throwable` at the `FINE` level
      Parameters:
        `t` - The exception to log

    - #### warning

          void warning(String msg)

      Log a message at the `WARNING` level
      Parameters:
        `msg` - The message to log

    - #### warning

          void warning(Throwable t)

      Log a `Throwable` at the `FINE` level
      Parameters:
        `t` - The exception to log

Copyright © 2010, 2022, Oracle and/or its affiliates.